# Uses of Class
org.apache.zookeeper.inspector.gui.nodeviewer.ZooInspectorNodeViewer

Packages that use ZooInspectorNodeViewer
Package
Description
org.apache.zookeeper.inspector.gui
org.apache.zookeeper.inspector.gui.nodeviewer

## Uses of ZooInspectorNodeViewer in org.apache.zookeeper.inspector.gui

Method parameters in org.apache.zookeeper.inspector.gui with type arguments of type ZooInspectorNodeViewer
Modifier and Type
Method
Description
`void`
NodeViewersChangeListener.`nodeViewersChanged(List<ZooInspectorNodeViewer> newViewers)`
Called when the node viewers configuration is changed (i.e node viewers are added, removed or the order of the node viewers is changed)
`void`
ZooInspectorPanel.`nodeViewersChanged(List<ZooInspectorNodeViewer> newViewers)`
`void`
ZooInspectorNodeViewersPanel.`setNodeViewers(List<ZooInspectorNodeViewer> nodeViewers)`
Constructor parameters in org.apache.zookeeper.inspector.gui with type arguments of type ZooInspectorNodeViewer
Modifier
Constructor
Description
``
`ZooInspectorNodeViewersDialog(Frame frame, List<ZooInspectorNodeViewer> currentViewers, Collection<NodeViewersChangeListener> listeners, ZooInspectorManager manager, IconResource iconResource)`
``
`ZooInspectorNodeViewersPanel(ZooInspectorNodeManager zooInspectorManager, List<ZooInspectorNodeViewer> nodeViewers)`

## Uses of ZooInspectorNodeViewer in org.apache.zookeeper.inspector.gui.nodeviewer

Subclasses of ZooInspectorNodeViewer in org.apache.zookeeper.inspector.gui.nodeviewer
Modifier and Type
Class
Description
`class`
`NodeViewerACL`
A node viewer for displaying the ACLs currently applied to the selected node
`class`
`NodeViewerData`
A node viewer for displaying the data for the currently selected node
`class`
`NodeViewerMetaData`
A node viewer for displaying the meta data for the currently selected node.